# delimit ;
set more off ;
set matsize 550 ;

clear ;

set mem 100m ;

insheet using "D:\Research\Inflation\Figures\Regressions\hst_results_country_FJI_history.csv", comma clear names ;

qui reg logoutputgap inflationrate if crashed == 0, robust ;
local bcoef = round(_b[inflationrate], 0.001) ;
local sterr = round(_se[inflationrate], 0.001) ;
local tstat = round(`bcoef' / `sterr', 0.001) ;
local numob = e(N) ;

local pitrg = 5.815 ;

twoway (scatter logoutputgap inflationrate if crashed == 0, msymbol(Oh) msize(small) mlwidth(thin)) || (lfit logoutputgap inflationrate if crashed == 0),
	  ylabel(, labsize(vsmall))
	  xlabel(, labsize(vsmall)) 
	  ytitle("Log Output Gap", size(small)) 
	  xtitle("Inflation Rate", size(small)) 
	  title("Cross-History Regression of the Log Output Gap on the Actual Inflation Rate" "for Target Inflation Rate = `pitrg'%", size(small) color(black)) 
	  caption("Coef = `bcoef', (robust) SE = `sterr', t = `tstat', N = `numob'", size(vsmall)) 
	  legend(off) graphregion(color(white)) plotregion(color(white)) bgcolor(white) ;

graph export fig7b.pdf, as(pdf) replace ;
