# delimit ;
set more off ;
set matsize 550 ;

clear ;

set mem 100m ;

infix 2 first
      str    wbcode 1-6 
      int    hstnum 7-18 
      double hstgap 19-34 
      double hstunr 35-50
      double hstvol 51-66
      double hstivl 67-82
      double hstinf 83-98
      int    crashd 99-114 
      using  "D:\Research\Inflation\Figures\Regressions\hst_results.txt" ;

gen tsta_inf_gap = . ;

sum hstnum ;
local min = r(min) ;
local max = r(max) ;

forval i = `min'/`max' { ;
	qui reg hstgap hstinf if hstnum == `i' & crashd == 0 ;
	qui replace tsta_inf_gap = _b[hstinf]/_se[hstinf] if hstnum == `i' ;
} ;

drop if crashd == 1 ;

collapse (mean) tsta_inf_gap, by(hstnum) ;

gen sign_inf_gap = 0 ;
replace sign_inf_gap = 1 if abs(tsta_inf_gap) < 1.96 ;
sum sign_inf_gap ;
local pv = round(r(mean), 0.0001) ;
drop sign_inf_gap ;

histogram tsta_inf_gap, bin(50) frequency kdensity kdenopts(clcolor(maroon))
                    ylabel(, labsize(vsmall))
                    xlabel(, labsize(vsmall)) 
                    ytitle("Frequency (number of observations per bin)", size(small)) 
                    xtitle("t-statistic", size(small)) 
                    title("Distribution of the t-statistic", size(small) color(black)) 
                    subtitle("from Cross-Country Regressions of the Log Output Gap on the Inflation Rate", size(small) color(black))
                    caption("Prob(|t| < 1.96) = `pv'", size(vsmall)) 
                    graphregion(color(white)) plotregion(color(white)) bgcolor(white) ;

graph export fig7a.pdf, as(pdf) replace ;
